---
title: Finding the ultimate browser
date: 2022-03-24
tags:
  - story
  - browser
---

## Intro

When I made the switch to Linux, I had to reconsider every choice I've made throughout the entire time I've been using Windows.
Most of them were trivial choices, some took a bit of time but I eventually figured it out but one problem stood out to be much more difficult than the others:
Which browser should I use?
Spoiler alert, I'm still waiting for the _ultimate browser_^TM^ but at least now I have something to share.
Make yourself comfortable because you're in for a ride.
This is my journey to find the ultimate browser.

## The beginning

For us to talk about browsers, we first have to go all the way back to the early 2000s,
when the only computer in my house was a old windows XP PC with a CRT monitor that was probably as old as me.
When I was old enough to understand language, my father introduced me to my first browser: The Internet explorer (abbreviated to IE from this point onward).

At the time, it was everything I wished for and more, but little did I know,
IE was already on the decline while another browser was quietly climbing up the market share.

<p align="center">
	<img alt="browser market share" src="/img/posts/linux-setup-script/browser-market-share-trend.png" style="max-width: 100%;" />
	<br />
	source: <a href="https://gs.statcounter.com/browser-market-share/desktop/worldwide/#monthly-200901-202203" target="_blank">statcounter.com</a>
</p>

One day, probably after my father upgraded the PC to Windows 7,
the default browser was changed to some colorful ball looking thing.
And its name was Google Chrome.

Not much have changed with my browsing experience as I didn't use much internet back then - I didn't even know that YouTube was a thing -
but the switch is worth mentioning because it made Chrome the browser that I grew up with instead of IE.

## Switching to Linux

By the time I was in grade 8 I considered myself to be quite a tech-savvy person.
I knew how the internet worked behind the scene, I was able code basic programs, had some experience with Machine Learning and Linux,
was interested in various online privacy and security issues, and was no stranger to the DIY culture.
That, added with the fact that Microsoft was making Windows worse by day made me make the switch to Linux.
And along the way, I ditched Google Chrome for Chromium.

In hindsight, I could have chose a better browser like firefox but I chose Chromium because I couldn't <kbd>Ctrl</kbd>+<kbd>W</kbd> away pinned tabs.
Sounds silly now but it was a big deal back then since the only browser I was familiar with was Google Chrome.

Anyways, despite the poor decision,
this is probably the most important day in my search for the ultimate browser since it was the first major change I made on my own.

## Not enough

When I made the switched to Chromium, I was disappointed to see no changes in my browsing experience whatsoever.
Maybe if I used more advanced features I would have felt the difference but Chromium even supported account syncing back then
so I didn't experience any.
Familiarity isn't what I singed up for when I switched to Linux so I needed to find a new browser.

After constantly switching browser every couple of weeks for the next two years,
trying many, many different browsers, I finally settled on one: librewolf.

## Is this it?

I could write an entire post just listing what librewolf does things right but to keep things simple:
it is not an obscure browser, it is secure, and it respects my privacy.
To put it simply, it was the ultimate browser I was desperately looking for.

After configuring librewolf to suit my need, I was happiest I've ever been using a browser.
It created no cookies I didn't need, all my favorite extensions were there, and most importantly, I felt secure.
Not a single site was broken (at the time), and the only problem I had was the lack of performance.
I had to use chromium for io games that needed juicy 3 digit fps but other than that, I was satisfied.
I used librewolf all the way until I entered college.

## I came for copper but I found gold

Librewolf slowly lost its charm when firefox - the browser librewolf is based on -
was going in a direction I didn't like and some college related sites started breaking on librewolf.
I also never got used to opening chromium every other day.
One day, I was so fed up with the problems librewolf had that I decided to replace librewolf.

I considered using raw chromium again since they removed much of google-specific code,
but then I remembered that ungoogled chromium was a thing.

When I first saw ungoogled chromium way beck when I was trying different browsers,
it didn't really piqued my interest because back then I was heavily reliant on google's services
but now I barely use them at all so I knew it would work perfectly for me now.

I quickly configured ungoogled chromium to delete cookies and histories on exit, installed some of my favorite extensions,
and changed some security related settings and I was shocked to see how closely it resembled the feelings of librewolf.
As a added bonus, I don't have to open another browser to play io games.

## Conclusion

For now, I'm more than satisfied with ungoogled chromium but it's still far from being perfect.
Though most if not all google-specific code was removed,
the original code is written by Google and some of the borderline spyware features could potentially find its way to my computer.

Currently I'm not actively looking for the ultimate browser (and I don't think it even exists yet),
but I'm ready ditch ungoogled chromium the first chance I get.
I'll make sure to make a follow-up post if that ever happens.
